Package org.eclipse.birt.chart.model.data

# Interface Rule

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `RuleImpl`

@Deprecated public interface Rule extends IChartObject
Deprecated.
only reserved for compatibility
A representation of the model object 'Rule'. This type represents a rule to process a query expression.

The following features are supported:

- `Type`
- `Value`

See Also:
  - `DataPackage.getRule()`

## Method Summary

Modifier and Type
Method
Description
`Rule`
`copyInstance()`
Deprecated.
`RuleType`
`getType()`
Deprecated.
Returns the value of the 'Type' attribute.
`String`
`getValue()`
Deprecated.
Returns the value of the 'Value' attribute.
`boolean`
`isSetType()`
Deprecated.
Returns whether the value of the '`Type`' attribute is set.
`void`
`setType(RuleType value)`
Deprecated.
Sets the value of the '`Type`' attribute.
`void`
`setValue(String value)`
Deprecated.
Sets the value of the '`Value`' attribute.
`void`
`unsetType()`
Deprecated.
Unsets the value of the '`Type`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getType

RuleType getType()
Deprecated.
Returns the value of the 'Type' attribute. The default value is `"Filter"`. The literals are from the enumeration `RuleType`.

Returns:
  the value of the 'Type' attribute.
See Also:
  - `RuleType`
  - `isSetType()`
  - `unsetType()`
  - `setType(RuleType)`
  - `DataPackage.getRule_Type()`

### setType

void setType(RuleType value)
Deprecated.
Sets the value of the '`Type`' attribute.

Parameters:
  `value` - the new value of the 'Type' attribute.
See Also:
  - `RuleType`
  - `isSetType()`
  - `unsetType()`
  - `getType()`

### unsetType

void unsetType()
Deprecated.
Unsets the value of the '`Type`' attribute.

See Also:
  - `isSetType()`
  - `getType()`
  - `setType(RuleType)`

### isSetType

boolean isSetType()
Deprecated.
Returns whether the value of the '`Type`' attribute is set.

Returns:
  whether the value of the 'Type' attribute is set.
See Also:
  - `unsetType()`
  - `getType()`
  - `setType(RuleType)`

### getValue

String getValue()
Deprecated.
Returns the value of the 'Value' attribute.

Returns:
  the value of the 'Value' attribute.
See Also:
  - `setValue(String)`
  - `DataPackage.getRule_Value()`

### setValue

void setValue(String value)
Deprecated.
Sets the value of the '`Value`' attribute.

Parameters:
  `value` - the new value of the 'Value' attribute.
See Also:
  - `getValue()`

### copyInstance

Rule copyInstance()
Deprecated.

Specified by:
  `copyInstance` in interface `IChartObject`